probe::signal.procmask
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.procmask — Examining or changing blocked signals

## Synopsis

    signal.procmask

## Values

`how`

  Indicates how to change the blocked signals; possible values are SIG_BLOCK=0 (for blocking signals), SIG_UNBLOCK=1 (for unblocking signals), and SIG_SETMASK=2 for setting the signal mask.

`sigset`

  The actual value to be set for sigset_t (correct?)

`sigset_addr`

  The address of the signal set (sigset_t) to be implemented

`name`

  Name of the probe point

`oldsigset_addr`

  The old address of the signal set (sigset_t)

Prev | Up | Next
probe::signal.pending.return | Home | probe::signal.procmask.return